import { ChangeDetectorRef, AfterViewInit, TemplateRef, ElementRef } from '@angular/core';
import { IgxColumnComponent } from '../../columns/column.component';
import { IgxFilteringService, ExpressionUI } from '../grid-filtering.service';
import { IgxToggleDirective } from '../../../directives/toggle/toggle.directive';
import { IgxOverlayService } from '../../../services/public_api';
import { ILogicOperatorChangedArgs } from './excel-style-default-expression.component';
import { DisplayDensity } from '../../../core/density';
import { PlatformUtil } from '../../../core/utils';
/**
 * @hidden
 */
export declare class IgxExcelStyleCustomDialogComponent implements AfterViewInit {
    private cdr;
    protected platform: PlatformUtil;
    expressionsList: ExpressionUI[];
    column: IgxColumnComponent;
    selectedOperator: string;
    filteringService: IgxFilteringService;
    overlayComponentId: string;
    overlayService: IgxOverlayService;
    displayDensity: DisplayDensity;
    toggle: IgxToggleDirective;
    protected defaultExpressionTemplate: TemplateRef<any>;
    protected dateExpressionTemplate: TemplateRef<any>;
    protected expressionsContainer: ElementRef;
    private expressionComponents;
    private expressionDateComponents;
    private _customDialogPositionSettings;
    private _customDialogOverlaySettings;
    constructor(cdr: ChangeDetectorRef, platform: PlatformUtil);
    ngAfterViewInit(): void;
    get template(): TemplateRef<any>;
    get grid(): any;
    onCustomDialogOpening(): void;
    onCustomDialogOpened(): void;
    open(esf: any): void;
    onClearButtonClick(): void;
    closeDialog(): void;
    onApplyButtonClick(): void;
    onAddButtonClick(): void;
    onExpressionRemoved(event: ExpressionUI): void;
    onLogicOperatorChanged(event: ILogicOperatorChangedArgs): void;
    onKeyDown(eventArgs: KeyboardEvent): void;
    onApplyButtonKeyDown(eventArgs: KeyboardEvent): void;
    private createCondition;
    private markChildrenForCheck;
    private createInitialExpressionUIElement;
    private scrollToBottom;
}
