import { OverlaySettings } from '../../services/public_api';
import { IgxGridToolbarComponent } from './grid-toolbar.component';
/**
 * Provides a pre-configured button to open the advanced filtering dialog of the grid.
 *
 *
 * @igxModule IgxGridToolbarModule
 * @igxParent IgxGridToolbarComponent
 *
 * @example
 * ```html
 * <igx-grid-toolbar-advanced-filtering></igx-grid-toolbar-advanced-filtering>
 * <igx-grid-toolbar-advanced-filtering>Custom text</igx-grid-toolbar-advanced-filtering>
 * ```
 */
export declare class IgxGridToolbarAdvancedFilteringComponent {
    private toolbar;
    /**
     * Returns the grid containing this component.
     */
    get grid(): import("../grid-base.directive").IgxGridBaseDirective;
    overlaySettings: OverlaySettings;
    constructor(toolbar: IgxGridToolbarComponent);
}
